### Virtual Method

# Foundry TemplateProvider list_code_templates

#### Declaration [src]

    DexFuture*
    list_code_templates (
      FoundryTemplateProvider* self,
      FoundryContext* context
    )

#### Description [src]

You may specify `context` to ensure that project-specific values are inherited for projects. Some providers may even provide additional templates that are defined within the project which would otherwise not be available.

#### Parameters

`context`

  Type: `FoundryContext`

  A `FoundryContext` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to a `GListModel` of `FoundryCodeTemplate` or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.